OpenNMS API 1.2.9

## org.opennms.web.event
Class Event

    java.lang.Object
      org.opennms.web.event.Event

public class Event
extends java.lang.Object

A JavaBean implementation to hold information about a network event as defined by OpenNMS.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`protected java.util.Date` `acknowledgeTime` The time this event was acknowledged.
`protected java.lang.String` `acknowledgeUser` The name of the user who acknowledged this event.
`protected java.lang.String` `autoAction` Automated Action for event.
`static int` `CLEARED_SEVERITY`
`protected java.util.Date` `createTime` Creation time of event in database, cannot be null
`static int` `CRITICAL_SEVERITY`
`protected java.lang.String` `description` Free-form textual description of the event
`protected java.lang.String` `dpName` The dpName of the Dist Poller which received the event, cannot be null.
`protected java.lang.String` `forward` The forwarding information.
`protected java.lang.String` `host` The <host> element from the Event Data Stream DTD
`protected int` `id` Unique identifier for the event, cannot be null
`static int` `INDETERMINATE_SEVERITY`
`protected java.lang.String` `ipAddr` IP Address of node's interface
`protected java.lang.String` `logGroup` Logical group with which to associate event.
`protected java.lang.String` `logMessage` Formatted display text to control how the event will appear in the browser.
`static int` `MAJOR_SEVERITY`
`static int` `MINOR_SEVERITY`
`protected java.lang.String` `mouseOverText` Mouse over text.
`protected java.lang.Integer` `nodeID` Unique integer identifier for node, can be null
`protected java.lang.String` `nodeLabel` The human-readable name of the node of this event.
`static int` `NORMAL_SEVERITY`
`protected java.lang.String` `notification` Notification string.
`protected java.lang.String` `operatorAction` Operator Action for event.
`protected java.lang.String` `operatorActionMenuText` Text of the eventOperAction.
`protected java.lang.String` `operatorInstruction` Operator instruction for event.
`protected java.lang.String` `parms` The <parms> element from the Event Data Stream DTD
`protected java.lang.Integer` `serviceID` Unique integer identifier of service/poller package, can be null
`protected java.lang.String` `serviceName` Human-readable name of the service
`protected int` `severity` Severity the of event.
`protected java.lang.String` `snmp` Contains the eid, eidtext (optionally), specific, and generic identifier for the SNMP Trap.
`protected java.lang.String` `snmphost` The <snmphost> element from the Event Data Stream DTD
`protected java.util.Date` `time` The <time> element from the Event Data Stream DTD, which is the time the event was received by the source process.
`protected java.lang.String` `troubleTicket` Trouble ticket integration string.
`protected java.lang.Integer` `troubleTicketState` State of the trouble ticket.
`protected java.lang.String` `uei` Universal Event Identifer (UEI) for this event, cannot be null
`static int` `WARNING_SEVERITY`

Constructor Summary
`Event()` Empty constructor to create an empty `Event` instance.
`Event(int id, java.lang.String uei, java.util.Date time, java.lang.String dpName, java.util.Date createTime, int severity)` Create an event that represents a real network event with only the required parameters.

`Event(int id, java.lang.String uei, java.util.Date time, java.lang.String dpName, java.util.Date createTime, int severity, java.lang.String snmp, java.lang.String host, java.lang.String snmphost, java.lang.String parms, java.lang.Integer nodeID, java.lang.Integer serviceID, java.lang.String ipAddr, java.lang.String description, java.lang.String logMessage, java.lang.String logGroup, java.lang.String operatorInstruction, java.lang.String autoAction, java.lang.String operatorAction, java.lang.String operatorActionMenuText, java.lang.String notification, java.lang.String troubleTicket, java.lang.Integer troubleTicketState, java.lang.String forward, java.lang.String mouseOverText, java.lang.String acknowledgeUser, java.util.Date acknowledgeTime)`
Create an event that represents a real network event with all the parameters.

`Event(int id, java.lang.String uei, java.util.Date time, java.lang.String dpName, java.util.Date createTime, int severity, java.lang.String snmp, java.lang.String host, java.lang.String snmphost, java.lang.String parms, java.lang.Integer nodeID, java.lang.Integer serviceID, java.lang.String ipAddr, java.lang.String description, java.lang.String logMessage, java.lang.String logGroup, java.lang.String operatorInstruction, java.lang.String autoAction, java.lang.String operatorAction, java.lang.String operatorActionMenuText, java.lang.String notification, java.lang.String troubleTicket, java.lang.Integer troubleTicketState, java.lang.String forward, java.lang.String mouseOverText, java.lang.String acknowledgeUser, java.util.Date acknowledgeTime, java.lang.String nodeLabel, java.lang.String serviceName)`
Create an event that represents a real network event with all the parameters.

Method Summary
`java.util.Date` `getAcknowledgeTime()`
`java.lang.String` `getAcknowledgeUser()`
`java.lang.String` `getAutoAction()`
`java.util.Date` `getCreateTime()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDpName()`
`java.lang.String` `getForward()`
`java.lang.String` `getHost()`
`int` `getId()`
`java.lang.String` `getIpAddress()`
`java.lang.String` `getLogGroup()`
`java.lang.String` `getLogMessage()`
`java.lang.String` `getMouseOverText()`
`int` `getNodeId()`
`java.lang.String` `getNodeLabel()`
`java.lang.String` `getNotification()`
`java.lang.String` `getOperatorAction()`
`java.lang.String` `getOperatorActionMenuText()`
`java.lang.String` `getOperatorInstruction()`
`java.lang.String` `getParms()`
`int` `getServiceId()`
`java.lang.String` `getServiceName()`
`int` `getSeverity()`
`java.lang.String` `getSnmp()`
`java.lang.String` `getSnmpHost()`
`java.util.Date` `getTime()`
`java.lang.String` `getTroubleTicket()`
`java.lang.Integer` `getTroubleTicketState()`
`java.lang.String` `getUei()`
`boolean` `isAcknowledged()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDETERMINATE_SEVERITY

    public static final int INDETERMINATE_SEVERITY

See Also:
  Constant Field Values

### CLEARED_SEVERITY

    public static final int CLEARED_SEVERITY

See Also:
  Constant Field Values

### NORMAL_SEVERITY

    public static final int NORMAL_SEVERITY

See Also:
  Constant Field Values

### WARNING_SEVERITY

    public static final int WARNING_SEVERITY

See Also:
  Constant Field Values

### MINOR_SEVERITY

    public static final int MINOR_SEVERITY

See Also:
  Constant Field Values

### MAJOR_SEVERITY

    public static final int MAJOR_SEVERITY

See Also:
  Constant Field Values

### CRITICAL_SEVERITY

    public static final int CRITICAL_SEVERITY

See Also:
  Constant Field Values

### id

    protected int id

  Unique identifier for the event, cannot be null

### uei

    protected java.lang.String uei

  Universal Event Identifer (UEI) for this event, cannot be null

### snmp

    protected java.lang.String snmp

  Contains the eid, eidtext (optionally), specific, and generic identifier for the SNMP Trap. This maps directly to the <snmp>element in the Event Data Stream DTD.

### time

    protected java.util.Date time

  The <time> element from the Event Data Stream DTD, which is the time the event was received by the source process. Cannot be null.

### host

    protected java.lang.String host

  The <host> element from the Event Data Stream DTD

### snmphost

    protected java.lang.String snmphost

  The <snmphost> element from the Event Data Stream DTD

### dpName

    protected java.lang.String dpName

  The dpName of the Dist Poller which received the event, cannot be null.

### parms

    protected java.lang.String parms

  The <parms> element from the Event Data Stream DTD

### nodeID

    protected java.lang.Integer nodeID

  Unique integer identifier for node, can be null

### serviceID

    protected java.lang.Integer serviceID

  Unique integer identifier of service/poller package, can be null

### serviceName

    protected java.lang.String serviceName

  Human-readable name of the service

### ipAddr

    protected java.lang.String ipAddr

  IP Address of node's interface

### createTime

    protected java.util.Date createTime

  Creation time of event in database, cannot be null

### description

    protected java.lang.String description

  Free-form textual description of the event

### logMessage

    protected java.lang.String logMessage

  Formatted display text to control how the event will appear in the browser. This field may contain variables that are populated by field values of the message.

### logGroup

    protected java.lang.String logGroup

  Logical group with which to associate event. This field provides a means of logically grouping related events.

### severity

    protected int severity

  Severity the of event.

         1  = Indeterminate
         2 = Cleared (unimplemented at this time)
         3 = Warning
         4 = Minor
         5 = Major
         6 = Critical

### operatorInstruction

    protected java.lang.String operatorInstruction

  Operator instruction for event.

### autoAction

    protected java.lang.String autoAction

  Automated Action for event. Should consist of fully-qualfied pathname to executable command, with possible variables used to reference event-specific data

### operatorAction

    protected java.lang.String operatorAction

  Operator Action for event. Should consist of fully-qualfied pathname to executable command, with possible variables used to reference event-specific data

### operatorActionMenuText

    protected java.lang.String operatorActionMenuText

  Text of the eventOperAction. Menu text displayed to Operator, which if selected, will invoke action described in eventOperAction.

### notification

    protected java.lang.String notification

  Notification string. Should consist of a fully-qualfied pathname to an executable which invokes the notification software, and will likely contain event-specific variables

### troubleTicket

    protected java.lang.String troubleTicket

  Trouble ticket integration string. Should consist of fully-qualfied pathname to executable command, with possible variables used to reference event-specific data

### troubleTicketState

    protected java.lang.Integer troubleTicketState

  State of the trouble ticket. Trouble ticket on/off boolean 1=on, 0=off. Can be null.

### forward

    protected java.lang.String forward

  The forwarding information. Contains a list of triplets: `Destination,State,Mechanism;Destination,State,Mechanism;` which reflect the following:
  - State is a boolean flag as to whether the entry is active or not. 1=on, 0=off.
  - Destination is hostname or IP of system to forward the event to
  - Method is the means by which it will be forwarded. A keyword, e.g., SNMP

### mouseOverText

    protected java.lang.String mouseOverText

  Mouse over text. Text to be displayed on MouseOver event, if the event is displayed in the browser and the operator needs additional info.

### acknowledgeUser

    protected java.lang.String acknowledgeUser

  The name of the user who acknowledged this event.

### acknowledgeTime

    protected java.util.Date acknowledgeTime

  The time this event was acknowledged.

### nodeLabel

    protected java.lang.String nodeLabel

  The human-readable name of the node of this event. Can be null.

Constructor Detail

### Event

    public Event()

  Empty constructor to create an empty `Event` instance. All fields will hold the default values.

### Event

    public Event(int id,
                 java.lang.String uei,
                 java.util.Date time,
                 java.lang.String dpName,
                 java.util.Date createTime,
                 int severity)

  Create an event that represents a real network event with only the required parameters.

### Event

    public Event(int id,
                 java.lang.String uei,
                 java.util.Date time,
                 java.lang.String dpName,
                 java.util.Date createTime,
                 int severity,
                 java.lang.String snmp,
                 java.lang.String host,
                 java.lang.String snmphost,
                 java.lang.String parms,
                 java.lang.Integer nodeID,
                 java.lang.Integer serviceID,
                 java.lang.String ipAddr,
                 java.lang.String description,
                 java.lang.String logMessage,
                 java.lang.String logGroup,
                 java.lang.String operatorInstruction,
                 java.lang.String autoAction,
                 java.lang.String operatorAction,
                 java.lang.String operatorActionMenuText,
                 java.lang.String notification,
                 java.lang.String troubleTicket,
                 java.lang.Integer troubleTicketState,
                 java.lang.String forward,
                 java.lang.String mouseOverText,
                 java.lang.String acknowledgeUser,
                 java.util.Date acknowledgeTime)

  Create an event that represents a real network event with all the parameters.

### Event

    public Event(int id,
                 java.lang.String uei,
                 java.util.Date time,
                 java.lang.String dpName,
                 java.util.Date createTime,
                 int severity,
                 java.lang.String snmp,
                 java.lang.String host,
                 java.lang.String snmphost,
                 java.lang.String parms,
                 java.lang.Integer nodeID,
                 java.lang.Integer serviceID,
                 java.lang.String ipAddr,
                 java.lang.String description,
                 java.lang.String logMessage,
                 java.lang.String logGroup,
                 java.lang.String operatorInstruction,
                 java.lang.String autoAction,
                 java.lang.String operatorAction,
                 java.lang.String operatorActionMenuText,
                 java.lang.String notification,
                 java.lang.String troubleTicket,
                 java.lang.Integer troubleTicketState,
                 java.lang.String forward,
                 java.lang.String mouseOverText,
                 java.lang.String acknowledgeUser,
                 java.util.Date acknowledgeTime,
                 java.lang.String nodeLabel,
                 java.lang.String serviceName)

  Create an event that represents a real network event with all the parameters.

Method Detail

### getId

    public int getId()

### getUei

    public java.lang.String getUei()

### getTime

    public java.util.Date getTime()

### getDpName

    public java.lang.String getDpName()

### getCreateTime

    public java.util.Date getCreateTime()

### getSeverity

    public int getSeverity()

### getSnmp

    public java.lang.String getSnmp()

### getHost

    public java.lang.String getHost()

### getSnmpHost

    public java.lang.String getSnmpHost()

### getParms

    public java.lang.String getParms()

### getNodeId

    public int getNodeId()

### getNodeLabel

    public java.lang.String getNodeLabel()

### getServiceId

    public int getServiceId()

### getServiceName

    public java.lang.String getServiceName()

### getIpAddress

    public java.lang.String getIpAddress()

### getDescription

    public java.lang.String getDescription()

### getLogMessage

    public java.lang.String getLogMessage()

### getLogGroup

    public java.lang.String getLogGroup()

### getOperatorInstruction

    public java.lang.String getOperatorInstruction()

### getAutoAction

    public java.lang.String getAutoAction()

### getOperatorAction

    public java.lang.String getOperatorAction()

### getOperatorActionMenuText

    public java.lang.String getOperatorActionMenuText()

### getNotification

    public java.lang.String getNotification()

### getTroubleTicket

    public java.lang.String getTroubleTicket()

### getTroubleTicketState

    public java.lang.Integer getTroubleTicketState()

### getForward

    public java.lang.String getForward()

### getMouseOverText

    public java.lang.String getMouseOverText()

### getAcknowledgeUser

    public java.lang.String getAcknowledgeUser()

### getAcknowledgeTime

    public java.util.Date getAcknowledgeTime()

### isAcknowledged

    public boolean isAcknowledged()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.